org.icefaces.ace.component.sliderentry

## Enum SliderEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<SliderEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.sliderentry.SliderEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SliderEntryBase.PropertyKeys>
  Enclosing class:
    SliderEntryBase

      protected static enum SliderEntryBase.PropertyKeys
      extends java.lang.Enum<SliderEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `animate`
    `axis`
    `clickableRail`
    `disabled`
    `immediate`
    `length`
    `max`
    `min`
    `onSlide`
    `onSlideEnd`
    `onSlideStart`
    `showLabels`
    `stepPercent`
    `style`
    `styleClass`
    `tabindex`
    `value`
    `valueChangeListener`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static SliderEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SliderEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### animate

          public static final SliderEntryBase.PropertyKeys animate

    - #### axis

          public static final SliderEntryBase.PropertyKeys axis

    - #### clickableRail

          public static final SliderEntryBase.PropertyKeys clickableRail

    - #### disabled

          public static final SliderEntryBase.PropertyKeys disabled

    - #### immediate

          public static final SliderEntryBase.PropertyKeys immediate

    - #### length

          public static final SliderEntryBase.PropertyKeys length

    - #### max

          public static final SliderEntryBase.PropertyKeys max

    - #### min

          public static final SliderEntryBase.PropertyKeys min

    - #### onSlide

          public static final SliderEntryBase.PropertyKeys onSlide

    - #### onSlideEnd

          public static final SliderEntryBase.PropertyKeys onSlideEnd

    - #### onSlideStart

          public static final SliderEntryBase.PropertyKeys onSlideStart

    - #### showLabels

          public static final SliderEntryBase.PropertyKeys showLabels

    - #### stepPercent

          public static final SliderEntryBase.PropertyKeys stepPercent

    - #### style

          public static final SliderEntryBase.PropertyKeys style

    - #### styleClass

          public static final SliderEntryBase.PropertyKeys styleClass

    - #### tabindex

          public static final SliderEntryBase.PropertyKeys tabindex

    - #### value

          public static final SliderEntryBase.PropertyKeys value

    - #### valueChangeListener

          public static final SliderEntryBase.PropertyKeys valueChangeListener

    - #### widgetVar

          public static final SliderEntryBase.PropertyKeys widgetVar

  - ### Method Detail

    - #### values

          public static SliderEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SliderEntryBase.PropertyKeys c : SliderEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SliderEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SliderEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.